Page MenuHomePhabricator

Remove Zero support in analytics
Closed, ResolvedPublic

Description

As Zero is being decommissioned in T187716: Sunset Wikipedia Zero, analytics support for it needs to go too. One thing I can think of is wmf.webrequest.is_zero in Hadoop.

Event Timeline

MaxSem created this task.Jan 14 2019, 11:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2019, 11:05 PM

To discuss with the team: Do we want to drop the column or nullifying the field would be enough? For webrequest, since data is dropped after 2 month, we can first nullify then drop for real. However for pageview, since data goes back in time, I think nullification must be done.

mforns triaged this task as Medium priority.
mforns added a project: Analytics-Kanban.
mforns moved this task from Incoming to Data Quality on the Analytics board.
MaxSem moved this task from Unsorted to Needs removal on the Technical-Debt board.Feb 3 2019, 8:46 AM

Change 507933 had a related patch set uploaded (by Joal; owner: Joal):
[analytics/refinery@master] Remove wikipedia-zero as program is over

https://gerrit.wikimedia.org/r/507933

Change 507933 merged by Mforns:
[analytics/refinery@master] Remove wikipedia-zero as program is over

https://gerrit.wikimedia.org/r/507933

mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.May 9 2019, 6:48 PM
Nuria closed this task as Resolved.May 14 2019, 8:32 PM